%define mainversion 4.13
%define subversion b

Summary:	Converts text and other types of files to PostScript(TM)
Name:		a2ps
Version:	%{mainversion}%{subversion}
Release:	%mkrel 12
License:	GPL
Group:		Publishing
Url:		http://www.gnu.org/software/a2ps/
Source:		http://ftp.gnu.org/gnu/a2ps/%{name}-%{mainversion}%{subversion}.tar.bz2
Patch0:		a2ps-4.13-includes.patch
Patch1:		a2ps-4.13-64bit-fixes.patch
Patch2:		a2ps-4.13-varargs.patch
Patch3:		a2ps-4.13-select_c-filename-shell-command-vulnerability.patch
Requires(post):	info-install
Requires(preun):info-install
BuildRequires:	X11-devel
BuildRequires:	bison
BuildRequires:	emacs-bin
#BuildRequires:	fetchmail
BuildRequires:	flex
BuildRequires:	gettext
BuildRequires:	mawk
BuildRequires:	tetex-dvips
BuildRequires:	tetex-latex
BuildRequires:	texinfo
#BuildRequires:	xemacs
BuildRequires:  psutils
#Buildrequires:  gv
BuildRequires:  ImageMagick
Buildrequires:  groff
#Requires: ImageMagick groff gv psutils tetex-dvips tetex-latex texinfo
Requires:	ImageMagick groff psutils
Requires:	file binutils
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
The a2ps filter converts text and other types of files to PostScript(TM).
a2ps has pretty-printing capabilities and includes support for a wide
number of programming languages, encodings (ISO Latins, Cyrillic, etc.),
and medias.

%package devel
Summary:	Include files for %{name}
Group:		Development/Other
Requires(pre):	%{name} = %{version}-%{release}

%description devel
The a2ps filter converts text and other types of files to PostScript(TM).
A2ps has pretty-printing capabilities and includes support for a wide
number of programming languages, encodings (ISO Latins, Cyrillic, etc.),
and medias.

This package holds include files.

%package static-devel
Summary:	Static libraries for %{name}
Group:          Development/Other
Requires(pre):  %{name}-devel = %{version}-%{release}

%description static-devel
The a2ps filter converts text and other types of files to PostScript(TM).
A2ps has pretty-printing capabilities and includes support for a wide
number of programming languages, encodings (ISO Latins, Cyrillic, etc.),
and medias.

This package holds static libraries.

%prep
%setup -q -n %{name}-%{mainversion}
%patch0 -p1 -b .includes
%patch1 -p1 -b .64bit-fixes
%patch2 -p1 -b .varargs
%patch3 -p0 -b .select

%build

%configure2_5x --with-included-gettext
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

%find_lang %{name}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
%_install_info a2ps.info
%_install_info ogonkify.info
%_install_info regex.info
# Adapt /usr/share/a2ps/afm/fonts.map to the current system environment
( cd %{_datadir}/%{name}/afm/
  ./make_fonts_map.sh > /dev/null 2>&1
  mv -f fonts.map.new fonts.map
)

%preun
%_remove_install_info a2ps.info
%_remove_install_info ogonkify.info
%_remove_install_info regex.info

%files -f %{name}.lang
%defattr(644,root,root,755)
%config(noreplace) %{_sysconfdir}/a2ps.cfg
%config(noreplace) %{_sysconfdir}/a2ps-site.cfg
%doc AUTHORS COPYING NEWS README TODO THANKS
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_datadir}/%{name}/afm/make_fonts_map.sh
%{_infodir}/a2ps.info*
%{_infodir}/ogonkify.info*
%{_infodir}/regex.info*
%{_mandir}/man1/*
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/README
%{_datadir}/%{name}/afm/*.afm
%{_datadir}/%{name}/afm/*.map
%{_datadir}/%{name}/encoding/
%{_datadir}/%{name}/fonts/
%{_datadir}/%{name}/ppd/
%{_datadir}/%{name}/ps/
%{_datadir}/%{name}/sheets/
%{_datadir}/ogonkify/
%{_datadir}/emacs/site-lisp/a2ps-print.el
%{_datadir}/emacs/site-lisp/a2ps.el
%{_datadir}/emacs/site-lisp/*.elc

%files devel
%defattr(644,root,root,755)
%doc ChangeLog
%{_includedir}/*
%attr(755,root,root) %{_libdir}/*.la

%files static-devel
%defattr(644,root,root,755)
%{_libdir}/*.a




%changelog

* Tue Feb 13 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.13b-12mdv2007.0
+ Revision: 120245
- set correct bits on make_fonts_map.sh

* Mon Feb 12 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.13b-11mdv2007.1
+ Revision: 119945
- Import a2ps

* Fri Feb 24 2006 Till Kamppeter <till@mandrakesoft.com> 4.13b-10mdk
- Fixed BuildRequires for X11 ("X11-devel").

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 4.13b-9mdk
- Rebuild

* Fri Aug 12 2005 Nicolas Lcureuil <neoclust@mandriva.org> 4.13b-8mdk
- Fix PreReq

* Thu Aug 11 2005 Nicolas Lcureuil <neoclust@mandriva.org> 4.13b-7mdk
- Fix PreReq

* Wed Nov 24 2004 Till Kamppeter <till@mandrakesoft.com> 4.13b-6mdk
- SECURITY FIX: File name command execution vulnerability (bug 11895) fixed
  by Patch 3.

* Sat Oct 02 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 4.13b-5mdk
- includes, 64-bit & varargs & 64-bit fixes

* Sun Mar 14 2004 Till Kamppeter <till@mandrakesoft.com> 4.13b-4mdk
- Removed "gv" from "Requires:".

